Skip to main content

Get Match Making Templates

GET 

/session/v1/match-making-templates/:template_group_id

deprecated

Get match making templates, rules, and profiles for a template group. Groups can be found on the queue information from the queues config endpoints

Required Permissions:

  • For any player (including themselves) any of: session:*, session:read:config

Required Session Permissions: None DEPRECATED Use the V2 endpoint instead

Request

Path Parameters

    template_group_id uuidrequired

Header Parameters

    if-none-match If-None-Match

    If you provide the ETag that matches the current ETag for this resource, a 304 response will be returned - indicating that the resource has not changed.

Responses

Successful Response

Response Headers

  • ETag

    string

    Used to identify this version of the content. Provide with a get request to avoid downloading the same data multiple times.

Schema

    template_group_id uuidrequired

    ID for this set of potential matchmaking templates

    template_options

    object[]

    required

    List of the different matchmaking templates that could be used. The config is chosen based on a set of rules in each MatchMakingTemplate object. If there are no rules, it's the default template

  • Array [

  • match_making_template_id uuid

    ID for this unique MatchMakingTemplate

    mmr_grouping_method MMRGroupingMethod (string)required

    Possible values: [worst, best, avg_weighted_by_sigma, avg]

    What method should be used to determine a linking's group MMR based on the individuals

    ruleset

    object

    A collection of rules that are used to determine whether a MatchMakingTemplate should be used

    rules

    object[]

    A list of the rules to be checked for this ruleset

  • Array [

  • rule_type RuleType (string)required

    Possible values: [Inventory, InventoryLevel, JoiningSessionSize, RegionList]

    What type of rule this is

    comparison_operation Operation (string)required

    Possible values: [eq, ne, lt, le, gt, ge, in_set, not_in_set]

    Comparison operation to be performed

    comparison_value Comparison Value (integer)

    Integer Value to compare to

    comparison_value_set string[]

    Set of string values to compare to

    item_id Item Id (integer)

    Id of the item we are comparing if this is an inventory rule

  • ]

  • determiner Determiner (string)

    Possible values: [allOf, anyOf, oneOf, noneOf]

    Default value: allOf

    Determiner of how many rules must be satisfied in this rulest (all, any, one, none)

    players_to_validate PlayersToValidate (string)

    Possible values: [leader, all_members, any_member]

    Default value: leader

    Which members of a session must be validated to satisfy this ruleset

    profiles

    object[]

    required

    A list of which match making profiles are going to be created on the ticket

  • Array [

  • profile_id Profile Id (string)required

    Possible values: non-empty and <= 128 characters

    ID of the matchmaking profile to join

    join_mode ProfileJoinMode (string)

    Possible values: [normal, backfill, created_before]

    Mode that determines what types of match requests the ticket will appear in

    instance_launch_template_id uuidrequired

    Which instance template to use when launching a match in this profile

    rank_id Rank Id (string)

    Which rank this profile should use MMR from to make matches from, and update at the end of match (1v1 MMR or 2v2 MMR for example)

    num_sides Num Sides (integer)

    The number of sides a game in this profile will have (2 in a 1v1 and 3 in a 1v1v1 for example

    max_players_per_side Max Players Per Side (integer)

    The maximum number of players that can be on each team

    min_players_per_side Min Players Per Side (integer)

    The minimum number of players that can be on each team

    deserter_id Deserter Id (string)

    Unused in the legacy profile. Must use V2 for deserter functionality. Which deserter this profile should check before allowing players to join matchmaking

    legacy_config

    object

    Legacy config to help migrate clients

    property name* string
  • ]

  • ]

  • required_item_ids integer[]

    Default value: ``

    Set of all the item ids that are required to validate every rule contained in this template group

Loading...